#ifndef THIRDSERVICEPLUGINBASE_H
#define THIRDSERVICEPLUGINBASE_H
#include <QObject>
#include <DWidget>
//#include <DTextBrowser>
#if defined(SYSTEM_SEMANTIC_LIBRARY)
#  define SYSTEMSEMANTICSHARED_EXPORT Q_DECL_EXPORT
#else
#  define SYSTEMSEMANTICSHARED_EXPORT Q_DECL_IMPORT
#endif

DWIDGET_USE_NAMESPACE

class SYSTEMSEMANTICSHARED_EXPORT ThirdServicePluginBase
{
public:
    virtual ~ThirdServicePluginBase(){}

    virtual  void insertText(QString text) = 0;

    virtual  void setParentWidget(DWidget* parent) = 0;

    virtual  void resizeUI(int w, int h) =0 ;

    virtual  QString  getServiceName() = 0;

};

#define ThirdPluginInterface_iid "com.deepin.iflytek.aiassistant.thirdservice"
Q_DECLARE_INTERFACE(ThirdServicePluginBase, ThirdPluginInterface_iid)

#endif // THIRDSERVICEPLUGINBASE_H
